<?php
require_once('wap-config.php');

$parent_file = 'edit-comments.php';
$submenu_file = 'edit-comments.php';

wp_reset_vars(array('action'));

if ( isset( $_POST['deletecomment'] ) )
	$action = 'deletecomment';

switch($action) {
case 'editcomment':
	$title = __('Править комменты');

	require_once ('admin-header.php');

	$comment = (int) $_GET['c'];

	if ( ! $comment = get_comment($comment) )
		wp_die(__('К сожалению, без комментариев с этим ID.').sprintf(' <a href="%s">'.__('Назад').'</a>!', 'javascript:history.go(-1)'));

	if ( !current_user_can('edit_post', $comment->comment_post_ID) )
		wp_die( __('Вам не разрешено редактировать комментарии к этой записи.') );

	$comment = get_comment_to_edit($comment);

	include('edit-form-comment.php');

	break;

case 'cdc':
case 'mac':

	require_once('./admin-header.php');

	$comment = (int) $_GET['c'];
	$formaction = 'cdc' == $action ? 'deletecomment' : 'approvecomment';
	$nonce_action = 'cdc' == $action ? 'delete-comment_' : 'approve-comment_';
	$nonce_action .= $comment;

	if ( ! $comment = get_comment_to_edit($comment) )
		wp_die(__('К сожалению, без комментариев с этим ID.').sprintf(' <a href="%s">'.__('Назад').'</a>!', 'edit.php'));

	if ( !current_user_can('edit_post', $comment->comment_post_ID) )
		wp_die( 'cdc' == $action ? __('Вы не можете удалять комментарии на этот пост.') : __('Вам не разрешают отредактировать комментарии к этой почте, таким образом Вы не можете одобрить этот комментарий.') );
?>
<div class='wrap'>

<div class="narrow">
<?php if ( 'spam' == $_GET['dt'] ) { ?>
<p><?php echo '<strong>'.__('Caution:').'</strong> '.__('Вы собираетесь отметить следующий комментарий как спам:'); ?></p>
<?php } elseif ( 'cdc' == $action ) { ?>
<p><?php echo '<strong>'.__('Caution:').'</strong> '.__('Вы собираетесь удалить следующий комментарий:'); ?></p>
<?php } else { ?>
<p><?php echo '<strong>'.__('Caution:').'</strong> '.__('Вы собираетесь одобрить следующий комментарий:'); ?></p>
<?php } ?>

<p><?php _e('Вы уверенный, что Вы хотите сделать это?'); ?></p>

<form action='comment.php' method='get'>

<table width="100%">
<tr>
<td><input type='button' value='<?php _e('Нет'); ?>' onclick="self.location='edit-comments.php';" /></td>
<td align="right"><input type='submit' value='<?php _e('Да'); ?>' /></td>
</tr>
</table>

<?php wp_nonce_field($nonce_action); ?>
<input type='hidden' name='action' value='<?php echo $formaction; ?>' />
<?php if ( 'spam' == $_GET['dt'] ) { ?>
<input type='hidden' name='dt' value='spam' />
<?php } ?>
<input type='hidden' name='p' value='<?php echo $comment->comment_post_ID; ?>' />
<input type='hidden' name='c' value='<?php echo $comment->comment_ID; ?>' />
<input type='hidden' name='noredir' value='1' />
</form>

<table class="editform" cellpadding="5">
<tr class="alt">
<th scope="row"><?php _e('Автор:'); ?></th>
<td><?php echo $comment->comment_author; ?></td>
</tr>
<?php if ( $comment->comment_author_email ) { ?>
<tr>
<th scope="row"><?php _e('E-mail:'); ?></th>
<td><?php echo $comment->comment_author_email; ?></td>
</tr>
<?php } ?>
<?php if ( $comment->comment_author_url ) { ?>
<tr>
<th scope="row"><?php _e('URL:'); ?></th>
<td><a href='<?php echo $comment->comment_author_url; ?>'><?php echo $comment->comment_author_url; ?></a></td>
</tr>
<?php } ?>
<tr>
<th scope="row" valign="top"><p><?php _e('Комментарий:'); ?></p></th>
<td><?php echo $comment->comment_content; ?></td>
</tr>
</table>

</div>
</div>
<?php
	break;

case 'deletecomment':
	$comment = (int) $_REQUEST['c'];
	check_admin_referer('delete-comment_' . $comment);

	if ( isset($_REQUEST['noredir']) ) {
		$noredir = true;
	} else {
		$noredir = false;
	}

	if ( ! $comment = get_comment($comment) )
			 wp_die(__('К сожалению, без комментариев с этим ID.').sprintf(' <a href="%s">'.__('Назад').'</a>!', 'edit-comments.php'));

	if ( !current_user_can('edit_post', $comment->comment_post_ID) )
		wp_die( __('Вам не разрешено редактировать комментарии к этой записи.') );

	if ( 'spam' == $_REQUEST['dt'] )
		wp_set_comment_status($comment->comment_ID, 'spam');
	else
		wp_delete_comment($comment->comment_ID);

	if ((wp_get_referer() != '') && (false == $noredir)) {
		wp_redirect(wp_get_referer());
	} else {
		wp_redirect('edit-comments.php');
	}
	exit();
	break;

case 'unapprovecomment':
	$comment = (int) $_GET['c'];
	check_admin_referer('unapprove-comment_' . $comment);

	if (isset($_GET['noredir'])) {
		$noredir = true;
	} else {
		$noredir = false;
	}

	if ( ! $comment = get_comment($comment) )
		wp_die(__('К сожалению, без комментариев с этим ID.').sprintf(' <a href="%s">'.__('Назад').'</a>!', 'edit.php'));

	if ( !current_user_can('edit_post', $comment->comment_post_ID) )
		wp_die( __('Вам не разрешают отредактировать комментарии к этой почте, таким образом Вы не можете не одобрить этот комментарий.') );

	wp_set_comment_status($comment->comment_ID, "hold");

	if ((wp_get_referer() != "") && (false == $noredir)) {
		wp_redirect(wp_get_referer());
	} else {
		//wp_redirect('edit.php?p=' . (int) $comment->comment_post_ID.'&c=1#comments');
	}
	exit();
	break;

case 'approvecomment':
	$comment = (int) $_GET['c'];
	check_admin_referer('approve-comment_' . $comment);

	if (isset($_GET['noredir'])) {
		$noredir = true;
	} else {
		$noredir = false;
	}

	if ( ! $comment = get_comment($comment) )
		wp_die(__('К сожалению, без комментариев с этим ID.').sprintf(' <a href="%s">'.__('Назад').'</a>!', 'edit.php'));

	if ( !current_user_can('edit_post', $comment->comment_post_ID) )
		wp_die( __('Вам не разрешают отредактировать комментарии к этой почте, таким образом Вы не можете одобрить этот комментарий.') );

	wp_set_comment_status($comment->comment_ID, "approve");
	if (get_option("comments_notify") == true) {
		wp_notify_postauthor($comment->comment_ID);
	}


	if ((wp_get_referer() != "") && (false == $noredir)) {
		wp_redirect(wp_get_referer());
	} else {
		//wp_redirect('/edit.php?p=' . (int) $comment->comment_post_ID.'&c=1#comments');
	}
	exit();
	break;

case 'editedcomment':

	$comment_ID = (int) $_POST['comment_ID'];
	$comment_post_ID = (int) $_POST['comment_post_id'];

	check_admin_referer('update-comment_' . $comment_ID);

	edit_comment();

	$location = ( empty($_POST['referredby']) ? "edit.php?p=$comment_post_ID&c=1" : $_POST['referredby'] ) . '#comment-' . $comment_ID;
	$location = apply_filters('comment_edit_redirect', $location, $comment_ID);
	wp_redirect($location);
	exit();
	break;
default:
	break;
} // end switch

include('admin-footer.php');

?>